%define name bashare
%define version 0.5.0.1
%define release %mkrel 1

Summary:       BaShare helps you share files with your friends
Name:          %{name}
Version:       %{version}
Release:       %{release}
Group:         Networking/WWW
License:       GPLv3+
URL:           http://code.google.com/p/bashare/
Source:        http://code.google.com/p/bashare/%{name}_0.5.0-1.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:     noarch  
BuildRequires: gambas2 make
Requires: gambas2
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %name < %version


%description
BaShare helps you share files with your friends.
This program is written in Gambas

%prep
%setup -q -n %{name}


%build
cd ./miniupnpc-1.3
%make 
cd .
%make


%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}%{_bindir}
install -m 755 BaShare/BaShare.gambas %{buildroot}%{_bindir}

install -dm 755 %{buildroot}%{_libdir}
install -m 644 miniupnpc-1.3/libminiupnpc.* %{buildroot}%{_libdir}

install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 BaShare/bashare.png %{buildroot}%{_datadir}/pixmaps


#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=BaShare
Comment=Share files with your friends
Exec=BaShare.gambas
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;Network;X-MandrivaLinux-Internet-FileTransfer;
EOF


%clean
rm -rf %{buildroot}

%post
%update_menus
/sbin/ldconfig


%postun
%clean_menus
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_bindir}/BaShare.gambas
%{_datadir}/pixmaps/*.png
%{_libdir}/libminiupnpc.*
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Nov 22 2009 slick50 <lxgator@gmail.com> 0.5.0.1-1pclos2010
- initial build

